#
# spec file for package sqliteman
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2007 Petr Vanek
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sqliteman
Version:        1.2.2
Release:        5.2
Summary:        Lightweigth but powerful Sqlite3 manager
License:        GPL-2.0+ and LGPL-2.0+
Group:          Productivity/Databases/Tools
Url:            http://sqliteman.yarpen.cz/
Source0:        http://download.sourceforge.net/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  libqscintilla-devel
BuildRequires:  libqt4-devel >= 4.2.0
BuildRequires:  libqt4-sql-sqlite
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The best developer's and/or admin's GUI tool for Sqlite3
in the world. No joking here (or just a bit only) - it
contains the most complette feature set of all tools available

%prep
%setup -q
rm -rf %{name}/qscintilla2

%build
%cmake
make %{?_smp_mflags}


%install
%cmake_install
%suse_update_desktop_file -G "Toolkit for Sqlite3 database" %{name} Office Database
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS
%dir %{_datadir}/sqliteman
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/sqliteman/*

%changelog
* Tue Mar 17 2015 tchvatal@suse.com
- Install COPYING and other basic docs
* Mon Mar 16 2015 tchvatal@suse.com
- Update licenses
* Fri Mar 13 2015 tchvatal@suse.com
- Fix download url
* Fri Mar 13 2015 tchvatal@suse.com
- Update homepage
* Wed May  7 2014 tchvatal@suse.com
- Cleanup with spec-cleaner so it is acceptable for SUSE standards.
* Mon Jul 19 2010 petr@scribus.info
- version bump. Version 1.2.2
* Sun Apr  4 2010 petr@scribus.info
- fixed rpm group to fit opensuse categories.
* Tue Jun 12 2007 petr@scribus.info
- merging FC and Suse specs into one. Opensuse Build service works
* Wed Apr 11 2007 ti.eugene@gmail.com
- initial build for FC6
* Tue Feb 20 2007 petr@scribus.info
- initial package
